Loading...
Searching...
No Matches
pcl::tracking::ParticleXYRP Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::ParticleXYRP:

## Public Member Functions

| ParticleXYRP ()
| ParticleXYRP (float _x, float, float _z)
| ParticleXYRP (float _x, float, float _z, float, float _pitch, float _yaw)
void | sample (const std::vector< double > &mean, const std::vector< double > &cov)
void | zero ()
Eigen::Affine3f | toEigenMatrix () const
float | operator[] (unsigned int i)

## Static Public Member Functions

static int | stateDimension ()
static ParticleXYRP | toState (const Eigen::Affine3f &trans)
template<class InputIterator>
static ParticleXYRP | weightedAverage (InputIterator first, InputIterator last)

## Additional Inherited Members

Public Attributes inherited from pcl::tracking::_ParticleXYRP
union { |
struct { |
float roll |
float pitch |
float yaw |
float weight |
} |
float data_c [4] |
}; |

## Detailed Description

Definition at line 626 of file tracking.hpp.

## Constructor & Destructor Documentation

## ParticleXYRP() [1/3]

pcl::tracking::ParticleXYRP::ParticleXYRP | ( |  | ) |

inline

Definition at line 627 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

Referenced by weightedAverage().

## ParticleXYRP() [2/3]

pcl::tracking::ParticleXYRP::ParticleXYRP | ( | float | _x,
|  | float | ,
|  | float | _z )

inline

Definition at line 633 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## ParticleXYRP() [3/3]

pcl::tracking::ParticleXYRP::ParticleXYRP | ( | float | _x,
|  | float | ,
|  | float | _z,
|  | float | ,
|  | float | _pitch,
|  | float | _yaw )

inline

Definition at line 642 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## Member Function Documentation

## operator[]()

float pcl::tracking::ParticleXYRP::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 719 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## sample()

void pcl::tracking::ParticleXYRP::sample | ( | const std::vector< double > & | mean,
|  | const std::vector< double > & | cov )

inline

Definition at line 660 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, pcl::tracking::sampleNormal(), and pcl::tracking::_ParticleXYRP::yaw.

## stateDimension()

int pcl::tracking::ParticleXYRP::stateDimension | ( |  | ) |

inline static

Definition at line 654 of file tracking.hpp.

## toEigenMatrix()

Eigen::Affine3f pcl::tracking::ParticleXYRP::toEigenMatrix | ( |  | ) | const

inline

Definition at line 682 of file tracking.hpp.

References pcl::getTransformation(), pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

## toState()

ParticleXYRP pcl::tracking::ParticleXYRP::toState | ( | const Eigen::Affine3f & | trans | ) |

inline static

Definition at line 688 of file tracking.hpp.

References pcl::getTranslationAndEulerAngles().

## weightedAverage()

template<class InputIterator>

ParticleXYRP pcl::tracking::ParticleXYRP::weightedAverage | ( | InputIterator | first,
|  | InputIterator | last )

inline static

Definition at line 698 of file tracking.hpp.

References ParticleXYRP(), pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, pcl::tracking::_ParticleXYRP::weight, and pcl::tracking::_ParticleXYRP::yaw.

## zero()

void pcl::tracking::ParticleXYRP::zero | ( |  | ) |

inline

Definition at line 671 of file tracking.hpp.

References pcl::tracking::_ParticleXYRP::pitch, pcl::tracking::_ParticleXYRP::roll, and pcl::tracking::_ParticleXYRP::yaw.

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp